<div ui-view>
  <div class="prescription-confirmation prescription">
    <section class="section-1">
      <h1 class="h1">1. Patient Information</h1>
      <div class="mb-4" style="margin-bottom: 100px;">
        <div class="border p-3">
          <div>
            <label class="label-1">
              Patient Details
            </label>
            <div class="d-flex direction-row flex-wrap">

              <div class="profile-pic pl-2 mr-3">
                <img class="profile-pic" style="border-radius: 50%;" src="../../../images/Profile-Picture.svg">
              </div>
              <div>
                <div class="row" style="width:24rem">

                  <div class="bm-label-24 dark-grey-blue pt-4 px-3">
                    <b>{{$ctrl.patient.name}}</b>
                  </div>
                  <div class="bm-label-16 dark-grey-blue">
                    <div class="gender-field">
                      {{$ctrl.patient.gender}}, {{$ctrl.patient.age}}</div>
                  </div>
                </div>

                <div class="row ml-1 ">
                  <span class="mx-2 flag-icon flag-icon-{{$ctrl.country_code[0].toLowerCase()}}"></span>
                  <div><img style="margin-bottom: 3px;" src="../../../images/IC.svg" /></div>
                  <div class="row ml-2 dark-grey-blue">
                    <div>NRIC</div>
                    <div class="ml-2">{{$ctrl.patient.id_no}}</div>
                  </div>
                </div>
                <div class="row mt-2 dark-grey-blue">
                  <div class="row" style="margin-left: 5%;">
                    <div>DOB:</div>
                    <div class="ml-2">{{$ctrl.patient.birth_date}}</div>
                  </div>
                  <div class="row ml-5" ng-if="$ctrl.patient.ethnic != null">
                    <div>Ethincity:</div>
                    <div>{{$ctrl.patient.ethnic}}</div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="section-2">
      <h1 class="h1">2. Patient Prescription Card</h1>
      <div class="align-items-center my-4">
        <div ng-repeat="file in $ctrl.image_files" class="d-flex">
          <div class="row">
            <div class="col-12">
              <div class="d-flex flex-row">
                <div class="d-flex align-items-center my-4">
                  <img src="../../../images/attachment.png" alt="attachment">
                  <p>{{file.filename}}</p>
                  <button class="view-btn" ng-click="$ctrl.view_file(file)">
                    View
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="section-3">
      <h1 class="h1">3. Medication Details </h1>
      <div class="allergy-health">
        <div class="medication-allergy">
          <label class="label-1">Medication Allergy(ies)</label>
          <div class="suto-suggest-1" ng-click="$ctrl.openInput('allergyInp')" id="allergies">
            <div class="d-flex flex-row flex-wrap ml-2 p-1">
              <div ng-repeat="a in $ctrl.prescription.allergies track by $index">
                <div class="tag mr-2 d-flex justify-content-center mt-2">
                    <div class="dark-grey-blue mr-2 mb-2">{{a}} </div>
                </div>
              </div>
            </div>
          </div>
          <textarea ng-model="$ctrl.prescription.allergies_remarks" class="remarks w-90" placeholder="Remarks"></textarea>
          </div>

        <div class="health-conditions">
          <label for="" class="label-1">Health Conditions</label>
          <div class="suto-suggest-2" ng-click="$ctrl.openInput('conditionInp')" id="conditions">
            <div class="d-flex flex-row flex-wrap ml-2 p-1">
                <div ng-repeat="a in $ctrl.prescription.health_conditions track by $index">
                    <div class="tag d-flex justify-content-center mr-2 mt-2">
                        <div class="mr-2 mb-2">{{a}} </div>
                    </div>
                </div>
            </div>
          </div>
          <textarea ng-model="$ctrl.prescription.health_condition_remarks" class="remarks w-95" placeholder="Remarks"></textarea>
        </div>
      </div>
    </section>

    <section class="section-4" >
      <h1 class="h1">4. Medication Prescribed</h1>
      <div class="medication-container">
        <div class="medication-header">
          <span class="label-1">MEDICATION</span>
          <span class="label-1 text-center">ADMINISTRATION TIME & DOSAGE</span>
          <span class="label-1 text-center">HALF TABLET</span>
          <span class="label-1 text-center">AFTER MEAL</span>
          <span class="label-1 text-center">DURATION</span>
          <span class="text-center">
            <img class="pointer" src="../../../images/filter-icon.svg" alt="filter" />
          </span>
        </div>
        <div ng-class="{ 'div-disabled': $ctrl.medications}">
          <div class="medication-details" ng-repeat="medicine in $ctrl.medications">
            <span class="label-2 mt-4">{{medicine.name}}</span>
            <div class="d-flex align-items-center">
              <div>
                <span class="label-2 text-center">Morning </span>
                <div class="d-flex align-items-center">
                  <button class="decrement">
                    <img src="../../../images/minus.svg" alt="decrement">
                  </button>
                  <input type="number" name="count" ng-model="medicine.morning" class="input-number" />
                  <button class="increment">
                    <img src="../../../images/add.svg" alt="increment">
                  </button>
                </div>
              </div>
    
              <div>
                <span class="label-2 text-center">Afternoon </span>
                <div class="d-flex align-items-center">
                  <button class="decrement">
                    <img src="../../../images/minus.svg" alt="decrement">
                  </button>
                  <input type="number" name="count" ng-model="medicine.afternoon" class="input-number" />
                  <button class="increment">
                    <img src="../../../images/add.svg" alt="increment">
                  </button>
                </div>
              </div>
    
              <div>
                <span class="label-2 text-center">Evening </span>
                <div class="d-flex align-items-center">
                  <button class="decrement">
                    <img src="../../../images/minus.svg" alt="decrement">
                  </button>
                  <input type="number" name="count" ng-model="medicine.evening" class="input-number" />
                  <button class="increment">
                    <img src="../../../images/add.svg" alt="increment">
                  </button>
                </div>
              </div>
            </div>
    
            <div class="custom-checkbox text-center mt-4">
              <input type="checkbox" id="half-tablet_{{$index}}" ng-model="medicine.is_half_tablet">
              <label for="half-tablet_{{$index}}"></label>
            </div>
    
            <div class="d-flex align-items-center justify-content-center mt-4">
              <select class="custom-select fix" ng-model="medicine.eat_instruction" ng-change="$ctrl.updateMeal($index, medicine.eat_instruction)">
                <option value="{{meal.name}}" ng-repeat="meal in $ctrl.mealOptions" ng-selected="medicine.eat_instruction == meal.name" >
                  {{meal.name}}</option>
              </select>
            </div>
    
            <div class="d-flex align-items-center justify-content-center mt-4">
              <input type="number" class="input-number" ng-model="medicine.duration"/>
              <select class="custom-select" ng-model="medicine.duration_type">
                <option value="{{type.name}}" ng-repeat="type in $ctrl.durationTypes" ng-selected="type.name === medicine.duration_type" >
                  {{type.name}}</option>
              </select>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section class="section-5">
      <div class="d-flex justify-content-between">
        <h1 class="h1">5. Remarks</h1>
      </div>
      <div class="ml-20">
        <textarea class="remarks" disabled ng-model="$ctrl.prescription.remarks"></textarea>
      </div>
    </section>
  </div>
</div>

<div ng-if="$ctrl.view_file_modal" class="biomark-modal" style="padding:0px;">
  <div class="modal_container large"  style="width: 100% !important; margin: 0px;" click-outside="$ctrl.close_modal()">
      <div ng-if="$ctrl.is_pdf">
        <div class="modal-header-inline">
            <p style="font-weight: bold;">PDF Print Report View</p>
        </div>
        <div class="modal-closer-icon" ng-click="$ctrl.close_modal()">
            <i class="material-icons md-20">close</i>
        </div>
        <div  class="modal-body-sm text-center" style="padding: 50px 0px 0px 0px;">
            <div style="height: calc(100vh - 50px); overflow: hidden;">
                <pdfjs-viewer on-init="$ctrl.fileLoad()" src="{{ $ctrl.file_url }}" open="false" download="false" print="false" view="false"></pdfjs-viewer>
            </div>
            <br>
        </div>
      </div>

      <div ng-if="!$ctrl.is_pdf">
        <div class="modal-header-inline">
            <p style="font-weight: bold;">{{$ctrl.file.name}}</p>
        </div>
        <div class="modal-closer-icon" ng-click="$ctrl.close_modal()">
            <i class="material-icons md-20">close</i>
        </div>
        <div  class="modal-body-sm text-center" style="padding: 50px 0px 0px 0px;">
            <div style="height: calc(100vh - 50px); overflow: hidden; background-image: url('{{ $ctrl.file.url }}');"></div>
        </div>
      </div>
  </div>
</div>
